import { DeviceAdjustValueService } from '@business/services/http/device-adjust-value.service';
import { ToolsService } from '@business/services/util/tools.service';
import { SensorsService } from '@business/services/http/sensors.service';
import { OrganizationService } from '@business/services/http/organization.service';
import { MonitorPointService } from '@business/services/http/monitor-point.service';
import { VersionService } from '@business/services/http/version.service';
import { AreacodeService } from '@business/services/http/areacode.service';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {RouterModule, Routes} from '@angular/router';
import { SharedModule } from '@shared/shared.module';
import { _HttpClient } from '@delon/theme/services/http/http.client';
import { PipeModule } from '@business/pipe/pipe.module';
import { FormBuilder } from '@angular/forms';
import { DeviceService } from '@business/services/http/device.service';
import { OperateUserService } from '@business/services/http/operate-user.service';
import { CoordinatesPickerComponent } from 'app/routes/map/coordinates-picker/coordinates-picker.component';
import { MapModule } from 'app/routes/map/map.module';
import { CoorPickerService } from 'app/routes/map/coordinates-picker/coordinates-picker.service';
import { AdjustConfigComponent } from '../devices/basic-info/adjust-config/adjust-config.component';
import { DeviceEditComponent } from '../devices/basic-info/device-edit/device-edit.component';
import { VersionEditComponent } from '../devices/version/version-edit/version-edit.component';
import { MonitorPointEditComponent } from '../devices/monitor-point/monitor-point-edit/monitor-point-edit.component';
import { VersionSensorConfigComponent } from '../devices/version/version-sensor-config/version-sensor-config.component';
import { DataAuditComponent } from './data-audit/data-audit.component';
import { DeviceStatusComponent } from './device-status/device-status.component';
import { NzTreeModule } from 'ng-tree-antd';
import { NgxEchartsModule } from 'ngx-echarts';
import { DeviceMaintenanceComponent } from './device-maintenance/device-maintenance.component';
const COMPONENTS_NOROUNT = [];
const COMPONENTS_IMPORT = [AdjustConfigComponent, DeviceEditComponent, 
  VersionEditComponent, MonitorPointEditComponent, 
  VersionSensorConfigComponent ];

  const routes: Routes = [
    {
      path: '',
      children: [
        { path: 'data-audit', component: DataAuditComponent },
        { path: 'device-status', component: DeviceStatusComponent },
        { path: 'device-maintenance', component: DeviceMaintenanceComponent }
      ]
    }
  ];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    NgxEchartsModule,
    NzTreeModule,
    CommonModule,
    SharedModule,
    MapModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    DataAuditComponent,
    DeviceStatusComponent,
    DeviceMaintenanceComponent,
        ...COMPONENTS_NOROUNT     
  ],
  providers: [CoorPickerService, DeviceAdjustValueService, OrganizationService, VersionService, 
    SensorsService, AreacodeService, MonitorPointService,
    _HttpClient, FormBuilder, DeviceService, OperateUserService, ToolsService],
  entryComponents: [...COMPONENTS_NOROUNT,...COMPONENTS_IMPORT]
})
export class OperationModule { }
